;;; -*- Mode:Lisp; Package:pail-lib; Syntax:Common-Lisp; Base:10;-*-
;;;
;;; ************************************************************************
;;;
;;; PORTABLE AI LAB - UNI ZH
;;;
;;; ************************************************************************
;;;
;;; Filename:   pail-init.cl
;;; Short Desc: User specific PAIL customization
;;; Version:    0.1
;;; Status:     experimental
;;; Last Mod:   7.2.92
;;; Author:     dta
;;;
;;; Copyright (c) 1992 Istituto Dalle Molle (IDSIA), University of
;;; Zurich, Swiss Federal Institute of Technology Lausanne.
;;;
;;; Permission is granted to any individual or institution to use, copy,
;;; modify, and distribute this software, provided that this complete
;;; copyright and permission notice is maintained, intact, in all
;;; copies and supporting documentation.
;;;
;;; IDSIA provides this software "as is" without express or implied
;;; warranty.  
;;;

;;;
;;; ************************************************************************
;;;
;;; This file can be copied into any user's home directory.  Some of
;;; the variables set for PAIL should be redefined on a user by user
;;; basis.  This give each user that opportunity.  
;;; ************************************************************************

(in-package :pail-lib)

;;; All local parameters are defined here.  This file overrides
;;; defaults set in pail-make.cl by the system manager. 

;;; Pool activity is specific to each pool button.  This is the one in
;;; the main PAIL window. 

;(excl:chdir (add-subdir *pail-path* "pool"))

(setf *user-dir* 
;;; I suggest changing this to some directory specific to this user; a
;;; pool directory in the home directory.
;;  (add-subdir *pail-path* "ciccio")
      "/home/pail/pool"

)

;;; An editor is called by the Edit option of pool buttons.  This
;;; command will have a filename concatenated at the end of it.  I
;;; recommend a screen editor, like X emacs.

(defparameter *edit-command* "emacs -geometry 60x35+250+25 ")


;;; For printing to a hardcopy  device.  This command will have a
;;; filename concatenated at the end of it. 

(defparameter *print-command* "lpr ")


;;; ==========================================================================
;;; END OF FILE
;;; ==========================================================================



