;;; -*- Mode: LISP; Package: GTRE-EXAMPLE; Syntax: Common-lisp; -*-
;;;
;;; *******************************************************
;;;
;;; PORTABLE AI LAB - EPFL
;;;
;;; *******************************************************
;;;
;;; Filename:   al-ex.cl
;;; Short Desc: data for CLICHE (can be loaded through the pool)
;;; Version:    1.0
;;; Status:     experimental
;;; Last Mod:   19.12.91 - Francois BACHMANN
;;; Authors:    Francois BACHMANN & Fatma FEKIH-AHMED
;;;
;;; Copyright (c) 1992 Istituto Dalle Molle (IDSIA), University of
;;; Zurich, Swiss Federal Institute of Technology Lausanne.
;;;
;;; Permission is granted to any individual or institution to use, copy,
;;; modify, and distribute this software, provided that this complete
;;; copyright and permission notice is maintained, intact, in all
;;; copies and supporting documentation.
;;;
;;; IDSIA provides this software "as is" without express or implied
;;; warranty.  
;;;

;;;
;;; -------------------------------------------------------
;;; RCS $Log: al-ex.cl,v $
;;; Revision 1.2  1992/02/20  16:35:10  fekih
;;; *** empty log message ***
;;;
;;; Revision 1.2  1992/02/20  16:35:10  fekih
;;; *** empty log message ***
;;;
;;; -------------------------------------------------------


;;; =======================================================================
;;; PACKAGE DECLARATIONS
;;; =======================================================================

(in-package common-lisp-user)


;;; =======================================================================
;;; ASSERTIONS FOR AN AL-DEFICIENCY PATIENT
;;; =======================================================================

(EVAL-WHEN (COMPILE LOAD EVAL)
	   (DATABASE:MAKESYMS '.%%symbol-label%%. 0 4 "common-lisp-user"))

(setq database:*db-input* 
  (setq .%%symbol-label%%.1 
    (make-instance 'pail-lib::poolfile 
      :real-contents 
      (list (setq .%%symbol-label%%.2 
	      (make-instance 'pail-lib:pool-item 
		:from-button nil 
		:start-object (setq .%%symbol-label%%.3 
				(make-instance 'pail-lib:tre-example 
				  :contradiction nil 
				  :assertions 
				  (list 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::p-nh3 1169)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::p-arg 27)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::p-citr 693)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-3-hy-prop 30)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-3-hy-isov 60)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-lact 4060)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-meth-citr 1)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-meth-mal 1)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-orot 268)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-asa 8483)) 
					 (list 'quote 'gtre::god)) 
				   (list 'gtre::assert! 
					 (list 'quote 
					       (list 'gtre-example::u-homocyst 0)) 
					 (list 'quote 'gtre::god))) 
				  :rule-set nil 
				  :name-part nil)) 
		:name-part "AL-EXAMPLE"))) 
      :contents (list (setq .%%symbol-label%%.4 
			(make-instance 'pail-lib::filentry 
			  :classname "tre-example" 
			  :poolname "AL-EXAMPLE"))) 
      :filename "al-example.cl"))) 

;;; =======================================================================
;;; END OF FILE
;;; ======================================================================= 
