;;; -*- Mode:Lisp; Syntax:Common-Lisp; Base:10; -*-
;;; ************************************************************************
;;;                                 WIN-SHELL
;;; ************************************************************************
;;;
;;; Filename:   rules-make.cl
;;; Short Desc: Loads dialog for both rule engines
;;; Version:    0.1
;;; Status:     Experimental
;;; Last Mod:   29.5.91 15:00:01 DTA
;;; Author:     DTA FFA
;;;
;;; Copyright (c) 1992 Istituto Dalle Molle (IDSIA), University of
;;; Zurich, Swiss Federal Institute of Technology Lausanne.
;;;
;;; Permission is granted to any individual or institution to use, copy,
;;; modify, and distribute this software, provided that this complete
;;; copyright and permission notice is maintained, intact, in all
;;; copies and supporting documentation.
;;;
;;; IDSIA provides this software "as is" without express or implied
;;; warranty.  
;;;

;;;
;;; ------------------------------------------------------------------------
;;; Change History:
;;; ------------------------------------------------------------------------

;;; DESCRIPTION
;;; ------------------------------------------------------------------------
;;; Make file to load the entire module (code, documentation, examples...)
;;; ------------------------------------------------------------------------



(in-package :rules)

(eval-when (load eval compile)
  (export '( )))
 


;;; ------------------------------------------------------------------------
;;; PARAMETERS
;;; ------------------------------------------------------------------------

(defparameter *rulespath* (add-subdir *pail-path* "rules"))

(ensure-loaded (add-path "rules" (add-subdir *pail-path* "pail-lib")))



 





(defvar *verbose* nil)


(if *gin-p* 
    (ensure-loaded (add-path "rules-dialog" *rulespath*))
  (ensure-loaded (add-path "rules-ascii-dialog" *rulespath*)))

(excl:gc)


;;; ------------------------------------------------------------------------
;;; end of file
;;; ------------------------------------------------------------------------






